Help needed for OPENXCAP start

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Help needed for OPENXCAP start

ASHWINI NAIDU
hi all,
    When i start openxcap these errors were logged to /var/log/openxcap/errors.log

2008-12-22 01:08:21-0800 [-] Log opened.
2008-12-22 01:08:21-0800 [-] Starting OpenXCAP 1.0.6
2008-12-22 01:08:21-0800 [-] Traceback (most recent call last):
2008-12-22 01:08:21-0800 [-]   File "/usr/local/bin/openxcap", line 55, in <module>
2008-12-22 01:08:21-0800 [-]     from xcap.server import XCAPServer
2008-12-22 01:08:21-0800 [-]   File "/usr/local/lib/python2.5/site-packages/xcap/server.py", line 11, in <module>
2008-12-22 01:08:21-0800 [-]     from twisted.web2 import channel, resource, http, responsecode, http_headers, server
2008-12-22 01:08:21-0800 [-]   File "/usr/local/lib/python2.5/site-packages/twisted/web2/channel/__init__.py", line 7, in <module>
2008-12-22 01:08:21-0800 [-]     from twisted.web2.channel.cgi import startCGI
2008-12-22 01:08:21-0800 [-]   File "/usr/local/lib/python2.5/site-packages/twisted/web2/channel/cgi.py", line 4, in <module>
2008-12-22 01:08:21-0800 [-]     from zope.interface import implements
2008-12-22 01:08:21-0800 [-] ImportError: No module named zope.interface

can anyone help abt how to solve this error.

--
Thankin You,
Ashwini BR Naidu

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Help needed for OPENXCAP start

Iñaki Baz Castillo
2008/12/22 ASHWINI NAIDU <[hidden email]>:
> 2008-12-22 01:08:21-0800 [-]     from zope.interface import implements
> 2008-12-22 01:08:21-0800 [-] ImportError: No module named zope.interface
>
> can anyone help abt how to solve this error.


What about looking in Google for the exact error??

  "ImportError: No module named zope.interface"

It's obvious that you need a Python library/module called "zope". What
about looking for such a library in your repository system? In case of
Debian/Ubuntu:

 ~# apt-cache search python zope


Please, first read the error and look for it. Later if you can't solve
it ask in the maillist. This is faster for all the people.


--
Iñaki Baz Castillo
<[hidden email]>
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users